> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getjusto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List tab payments



## OpenAPI

````yaml get /tabs/{storeId}/tab-payments
openapi: 3.1.0
info:
  title: Justo API
  version: 3.0.0
servers:
  - url: https://api.service.getjusto.com/v3
    description: Production server
security: []
paths:
  /tabs/{storeId}/tab-payments:
    get:
      summary: List tab payments
      parameters:
        - in: path
          name: storeId
          required: true
          schema:
            type: string
        - in: query
          name: fromDate
          required: false
          schema:
            type: string
            example: '2020-01-01T00:00:00.000Z'
            format: date-time
            description: Fecha de inicio de la búsqueda.
        - in: query
          name: toDate
          required: false
          schema:
            type: string
            example: '2020-01-01T00:00:00.000Z'
            format: date-time
            description: Fecha de fin de la búsqueda.
        - in: query
          name: page
          required: false
          schema:
            type: number
            example: 1
            description: Número de página.
        - in: query
          name: limit
          required: false
          schema:
            type: number
            example: 10
            description: 'Número de items por página. Max 100. Por defecto: 10.'
        - in: query
          name: sortBy
          required: false
          schema:
            type: string
            enum:
              - createdAt
            example: createdAt
            description: 'Campo por el cual se ordenará la lista. Por defecto: "createdAt".'
        - in: query
          name: sortType
          required: false
          schema:
            type: string
            enum:
              - asc
              - desc
            example: desc
            description: Tipo de ordenamiento.
      responses:
        '200':
          description: The OpenAPI spec
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      items:
                        type: array
                        items:
                          $ref: '#/components/schemas/tabsTabPayment'
                        description: Items de la lista.
                      hasNextPage:
                        type: boolean
                        description: Indica si hay una página siguiente.
                      hasPreviousPage:
                        type: boolean
                        description: Indica si hay una página anterior.
                      totalPages:
                        type: number
                        description: Total de páginas.
                      totalCount:
                        type: number
                        description: Total de items.
        '400':
          description: Errors
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: 'false'
                  error:
                    type: object
                    properties:
                      error:
                        type: string
                        example: error
                      message:
                        type: string
                        example: The request has an error
components:
  schemas:
    tabsTabPayment:
      type: object
      properties:
        _id:
          type: string
          example: tab-4c48bf33-1411-4c3f-adac-db39b4631cb8
          description: El ID del pago.
        code:
          type: string
          example: CJXEQZK
          description: Un código único para identificar el pago. Es único en Crisp.
        shiftId:
          type: string
          example: Li4eEa3W2hiuGGCFa
          description: El ID del turno al que pertenece el pago.
        paymentMethodId:
          type: string
          example: a3W2hiuGGLi4eECFa
          description: El ID del método de pago.
        paymentMethodName:
          type: string
          example: Efectivo
          description: El nombre del método de pago.
        amount:
          type: number
          example: 100
          description: El monto del pago.
        tipAmount:
          type: number
          example: 10
          description: El monto de la propina.
        createdAt:
          type: string
          example: '2020-01-01T00:00:00.000Z'
          format: date-time
          description: Fecha de creación del pago.
        voidedAt:
          type: string
          example: '2020-01-01T00:00:00.000Z'
          format: date-time
          description: Fecha de anulación del pago.
        shiftEndedAt:
          type: string
          example: '2020-01-01T00:00:00.000Z'
          format: date-time
          description: Fecha de cierre del turno.
        createdById:
          type: string
          example: a3W2hiuGGLi4eECFa
          description: El ID del usuario que creó el pago.
        shouldMakeInvoice:
          type: boolean
          example: true
          description: Indica si se debe generar una factura para el pago.
        payerName:
          type: string
          example: John Doe
          description: Nombre del pagador. Solo para JustoPay
        payerUserId:
          type: string
          example: a3W2hiuGGLi4eECFa
          description: El ID del usuario que pagó la cuenta. Solo para JustoPay

````